gnutls_x509_crl_set_crt(3)

NAME
gnutls_x509_crl_set_crt - This function will set a revoked certificate's serial number

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_set_crt(gnutls_x509_crl_t crl, gnutls_x509_crt_t crt, time_t revocation_time);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t with the revoked certificate

time_t revocation_time
    The time this certificate was revoked

DESCRIPTION
This function will set a revoked certificate's serial number to the CRL.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.